<div class="modal-header text-wrap">
    <h5 class="modal-title"><a routerLink="/human-resource/promotion"><i class="bi bi-chevron-left"></i></a>
        {{'humanresources.applicationPromotion' | translate}} № {{candidateData?.id}}
    </h5>
    <hr>
</div>

<div class="d-flex justify-content-between col-md-3 my-3">
    <button class="btn btn-outline-dark" [class.active]="switchCase ==='personality'" (click)="switchCase = 'personality'">{{'humanresources.clientData' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'history'" (click)="switchCase = 'history'">{{'humanresources.history' | translate}}</button>
</div>
<div class="row">
    <div class="col-9" [ngSwitch]="switchCase"> 
        <app-promotion-history *ngSwitchCase="'history'"></app-promotion-history>  
        <app-promotion-data *ngSwitchDefault></app-promotion-data>
    </div>
</div>